Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230062 - Merge Review: screen
Summary: Merge Review: screen
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-26 12:47 UTC by Marcela Mašláňová
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-23 12:22:01 UTC
varekova: fedora-review+


Attachments (Terms of Use)

Description Marcela Mašláňová 2007-02-26 12:47:58 UTC
Need merge review.

Comment 1 Ivana Varekova 2007-03-05 10:20:26 UTC
The only problem is rpmlint output:
E: screen non-standard-gid /usr/bin/screen screen
E: screen non-standard-gid /var/run/screen screen
E: screen world-writable /var/run/screen 0777
E: screen non-standard-dir-perm /var/run/screen 0777


Comment 2 Marcela Mašláňová 2007-03-07 16:19:16 UTC
> E: screen non-standard-gid /usr/bin/screen screen
usual for /usr/bin executable

> others
Screen has special files, which has to have 0777.

Comment 3 Marcela Mašláňová 2007-03-19 16:19:44 UTC
Fix in screen-4.0.3-4.fc7

Now is only:
E: screen non-standard-gid /usr/bin/screen screen
E: screen non-standard-gid /var/run/screen screen

For screen functionality is necessary to maintain directories.

Comment 4 Kevin Fenzi 2007-03-25 17:54:30 UTC
Note, changing the /var/run/screen dir permissions makes screen unusable for
normal users... 

$ screen 
Directory '/var/run/screen' must have mode 777.
$ 

Perhaps the /usr/bin/screen needs to be set-gid to the screen group? 
Or the directory needs to be mode 0777. 



Comment 5 Marcela Mašláňová 2007-03-26 13:12:06 UTC
to comment#1:
Group screen is needed for writing into /var/run/screen. It's better to have
another group than have directories in permission 777. I'll give back
configuration before review.


Note You need to log in before you can comment on or make changes to this bug.